unit SRVDxEditors;

interface

uses
  DesignEditors;

type
  TSRVDxSkinAdapterEditor = class(TComponentEditor)
  public
    procedure ExecuteVerb(Index: Integer); override;
    function GetVerb(Index: Integer): string; override;
    function GetVerbCount: Integer; override;
  end;

implementation

uses
  SRVDxSkin;

{ TSRVDxSkinAdapterEditor }

procedure TSRVDxSkinAdapterEditor.ExecuteVerb(Index: Integer);
begin
  if Component is TSRVDxSkinAdapter then
    TSRVDxSkinAdapter(Component).Refresh;
end;

function TSRVDxSkinAdapterEditor.GetVerb(Index: Integer): string;
begin
  Result := 'Refresh';
end;

function TSRVDxSkinAdapterEditor.GetVerbCount: Integer;
begin
  Result := 1;
end;

end.
